-- 基础信息
base_info = {
	group_id = 242004004
}

-- Trigger变量
defs = {
	group_id = 242004004,
	gear_group_id = 242004002
}

-- DEFS_MISCS
package_tide_defs={
  [1]={{monster_package={12020,12021,12022},route=1,route_points={1,2,3,4,5,6,7,8},tags=2,count=15,max=3,min=3},{monster_package={12020,12021,12022},route=2,route_points={1,2,3,4,5,6,7,8,9,10},tags=4,count=15,max=3,min=3},{monster_package={12029},route=4,route_points={1,2,3,4,5,6,7,8,9,10,11,12,13,14},tags=8,count=15,max=5,min=5}},

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 4001, pos = { x = 65.661, y = 2.240, z = -46.586 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4002, pos = { x = 67.422, y = 2.240, z = -51.471 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4003, pos = { x = 67.682, y = 2.232, z = -44.888 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4004, pos = { x = 68.836, y = 2.243, z = -50.566 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4005, pos = { x = 65.036, y = 2.240, z = -49.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4006, pos = { x = 63.906, y = 2.240, z = -48.220 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4029, pos = { x = 68.726, y = 2.244, z = 35.517 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4030, pos = { x = 65.787, y = 2.240, z = 35.626 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4031, pos = { x = 62.482, y = 2.244, z = 35.885 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4032, pos = { x = 69.099, y = 2.236, z = 39.252 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4033, pos = { x = 65.859, y = 2.248, z = 38.992 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4034, pos = { x = 62.376, y = 2.244, z = 38.916 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4035, pos = { x = 67.411, y = 2.244, z = 42.040 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4036, pos = { x = 64.022, y = 2.243, z = 42.222 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4037, pos = { x = -8.052, y = -13.923, z = -6.188 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 4038, pos = { x = -6.593, y = -13.901, z = -3.795 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 4039, pos = { x = -8.380, y = -13.936, z = -1.817 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 4040, pos = { x = -6.618, y = -13.923, z = -6.702 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 4041, pos = { x = -4.526, y = -13.900, z = -2.210 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 4042, pos = { x = -5.204, y = -13.919, z = -5.798 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Monster02"
